DIRMasterResourceProperties
Date: 2013-02-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.dir.master.stubs
Class DIRMasterResourceProperties

    java.lang.Object
      org.gcube.dir.master.stubs.DIRMasterResourceProperties

All Implemented Interfaces:
  java.io.Serializable

    public class DIRMasterResourceProperties

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`DIRMasterResourceProperties()`
`DIRMasterResourceProperties(java.lang.String GHN, java.lang.String RI, java.lang.String VO, java.lang.String[] collectionIDs, java.util.Calendar currentTime, java.lang.String[] scope, java.lang.String serviceClass, java.lang.String serviceID, java.lang.String serviceName, java.util.Calendar terminationTime)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String[]` | `getCollectionIDs()` Gets the collectionIDs value for this DIRMasterResourceProperties.
`java.lang.String` | `getCollectionIDs(int i)`
`java.util.Calendar` | `getCurrentTime()` Gets the currentTime value for this DIRMasterResourceProperties.
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`java.lang.String` | `getGHN()` Gets the GHN value for this DIRMasterResourceProperties.
`java.lang.String` | `getRI()` Gets the RI value for this DIRMasterResourceProperties.
`java.lang.String[]` | `getScope()` Gets the scope value for this DIRMasterResourceProperties.
`java.lang.String` | `getScope(int i)`
`static org.apache.axis.encoding.Serializer` | `getSerializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`java.lang.String` | `getServiceClass()` Gets the serviceClass value for this DIRMasterResourceProperties.
`java.lang.String` | `getServiceID()` Gets the serviceID value for this DIRMasterResourceProperties.
`java.lang.String` | `getServiceName()` Gets the serviceName value for this DIRMasterResourceProperties.
`java.util.Calendar` | `getTerminationTime()` Gets the terminationTime value for this DIRMasterResourceProperties.
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`java.lang.String` | `getVO()` Gets the VO value for this DIRMasterResourceProperties.
`int` | `hashCode()`
`void` | `setCollectionIDs(int i, java.lang.String _value)`
`void` | `setCollectionIDs(java.lang.String[] collectionIDs)` Sets the collectionIDs value for this DIRMasterResourceProperties.
`void` | `setCurrentTime(java.util.Calendar currentTime)` Sets the currentTime value for this DIRMasterResourceProperties.
`void` | `setGHN(java.lang.String GHN)` Sets the GHN value for this DIRMasterResourceProperties.
`void` | `setRI(java.lang.String RI)` Sets the RI value for this DIRMasterResourceProperties.
`void` | `setScope(int i, java.lang.String _value)`
`void` | `setScope(java.lang.String[] scope)` Sets the scope value for this DIRMasterResourceProperties.
`void` | `setServiceClass(java.lang.String serviceClass)` Sets the serviceClass value for this DIRMasterResourceProperties.
`void` | `setServiceID(java.lang.String serviceID)` Sets the serviceID value for this DIRMasterResourceProperties.
`void` | `setServiceName(java.lang.String serviceName)` Sets the serviceName value for this DIRMasterResourceProperties.
`void` | `setTerminationTime(java.util.Calendar terminationTime)` Sets the terminationTime value for this DIRMasterResourceProperties.
`void` | `setVO(java.lang.String VO)` Sets the VO value for this DIRMasterResourceProperties.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DIRMasterResourceProperties

    public DIRMasterResourceProperties()

### DIRMasterResourceProperties

    public DIRMasterResourceProperties(java.lang.String GHN,
                                       java.lang.String RI,
                                       java.lang.String VO,
                                       java.lang.String[] collectionIDs,
                                       java.util.Calendar currentTime,
                                       java.lang.String[] scope,
                                       java.lang.String serviceClass,
                                       java.lang.String serviceID,
                                       java.lang.String serviceName,
                                       java.util.Calendar terminationTime)

Method Detail

### getCollectionIDs

    public java.lang.String[] getCollectionIDs()

  Gets the collectionIDs value for this DIRMasterResourceProperties.

  Returns:
    collectionIDs

### setCollectionIDs

    public void setCollectionIDs(java.lang.String[] collectionIDs)

  Sets the collectionIDs value for this DIRMasterResourceProperties.

  Parameters:
    `collectionIDs` -

### getCollectionIDs

    public java.lang.String getCollectionIDs(int i)

### setCollectionIDs

    public void setCollectionIDs(int i,
                                 java.lang.String _value)

### getServiceID

    public java.lang.String getServiceID()

  Gets the serviceID value for this DIRMasterResourceProperties.

  Returns:
    serviceID

### setServiceID

    public void setServiceID(java.lang.String serviceID)

  Sets the serviceID value for this DIRMasterResourceProperties.

  Parameters:
    `serviceID` -

### getServiceName

    public java.lang.String getServiceName()

  Gets the serviceName value for this DIRMasterResourceProperties.

  Returns:
    serviceName

### setServiceName

    public void setServiceName(java.lang.String serviceName)

  Sets the serviceName value for this DIRMasterResourceProperties.

  Parameters:
    `serviceName` -

### getVO

    public java.lang.String getVO()

  Gets the VO value for this DIRMasterResourceProperties.

  Returns:
    VO

### setVO

    public void setVO(java.lang.String VO)

  Sets the VO value for this DIRMasterResourceProperties.

  Parameters:
    `VO` -

### getRI

    public java.lang.String getRI()

  Gets the RI value for this DIRMasterResourceProperties.

  Returns:
    RI

### setRI

    public void setRI(java.lang.String RI)

  Sets the RI value for this DIRMasterResourceProperties.

  Parameters:
    `RI` -

### getServiceClass

    public java.lang.String getServiceClass()

  Gets the serviceClass value for this DIRMasterResourceProperties.

  Returns:
    serviceClass

### setServiceClass

    public void setServiceClass(java.lang.String serviceClass)

  Sets the serviceClass value for this DIRMasterResourceProperties.

  Parameters:
    `serviceClass` -

### getGHN

    public java.lang.String getGHN()

  Gets the GHN value for this DIRMasterResourceProperties.

  Returns:
    GHN

### setGHN

    public void setGHN(java.lang.String GHN)

  Sets the GHN value for this DIRMasterResourceProperties.

  Parameters:
    `GHN` -

### getTerminationTime

    public java.util.Calendar getTerminationTime()

  Gets the terminationTime value for this DIRMasterResourceProperties.

  Returns:
    terminationTime

### setTerminationTime

    public void setTerminationTime(java.util.Calendar terminationTime)

  Sets the terminationTime value for this DIRMasterResourceProperties.

  Parameters:
    `terminationTime` -

### getScope

    public java.lang.String[] getScope()

  Gets the scope value for this DIRMasterResourceProperties.

  Returns:
    scope

### setScope

    public void setScope(java.lang.String[] scope)

  Sets the scope value for this DIRMasterResourceProperties.

  Parameters:
    `scope` -

### getScope

    public java.lang.String getScope(int i)

### setScope

    public void setScope(int i,
                         java.lang.String _value)

### getCurrentTime

    public java.util.Calendar getCurrentTime()

  Gets the currentTime value for this DIRMasterResourceProperties.

  Returns:
    currentTime

### setCurrentTime

    public void setCurrentTime(java.util.Calendar currentTime)

  Sets the currentTime value for this DIRMasterResourceProperties.

  Parameters:
    `currentTime` -

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(java.lang.String mechType,
                                                                    java.lang.Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(java.lang.String mechType,
                                                                        java.lang.Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD